Draft PolarArray: Difference between revisions

From FreeCAD Documentation
(Reduced the Description)
No edit summary
Line 49: Line 49:
* Enter the {{MenuCommand|Polar angle}} to specify the total angle of the array. The angle is positive in the counter-clockwise direction.
* Enter the {{MenuCommand|Polar angle}} to specify the total angle of the array. The angle is positive in the counter-clockwise direction.
* Enter the {{MenuCommand|Number of elements}}. Must be at least {{Value|2}}. The maximum that can be entered in the task panel is {{Value|99}}, but higher values are possible by changing the {{PropertyData|Number Polar}} property of the array.
* Enter the {{MenuCommand|Number of elements}}. Must be at least {{Value|2}}. The maximum that can be entered in the task panel is {{Value|99}}, but higher values are possible by changing the {{PropertyData|Number Polar}} property of the array.
* Pick a point in the [[3D_view|3D view]] or type [[Draft_Coordinates|coordinates]] for the {{MenuCommand|Center of rotation}}. The rotation axis of the array will pass through this point. It is advisable to move the pointer out of the [[3D_view|3D view]] before entering coordinates.
* Pick a point in the [[3D_view|3D view]], note that this will also finish the command, or type [[Draft_Coordinates|coordinates]] for the {{MenuCommand|Center of rotation}}. The rotation axis of the array will pass through this point. It is advisable to move the pointer out of the [[3D_view|3D view]] before entering coordinates.
* Press the {{MenuCommand|Reset point}} button to reset the {{MenuCommand|Center of rotation}} to the origin.
* Press the {{MenuCommand|Reset point}} button to reset the {{MenuCommand|Center of rotation}} to the origin.
* If the {{MenuCommand|Fuse}} checkbox is checked overlapping elements in the array are fused. This does not work for Link arrays.
* If the {{MenuCommand|Fuse}} checkbox is checked overlapping elements in the array are fused. This does not work for Link arrays.

Revision as of 07:25, 12 June 2021

This documentation is a work in progress. Please don't mark it as translatable since it will change in the next hours and days.

Draft PolarArray

Menu location
Modification → Array tools → Polar array
Workbenches
Draft
Default shortcut
None
Introduced in version
0.19
See also
Draft OrthoArray, Draft CircularArray, Draft PathArray, Draft PathLinkArray, Draft PointArray, Draft Clone

Description

The Draft PolarArray tool creates an array from a selected object placing the copies along a circumference.

This tool can be used on any object that has a Part TopoShape, meaning 2D shapes created with the Draft Workbench, but also 3D solids created with other workbenches, for example, Part, PartDesign, or Arch. It can also create App Links instead of simple copies.

A polar array of an object.

Usage

  1. Select the object that you wish to array.
  2. Press the Polar array button. If no object is selected, you will be invited to select one before proceeding.
  3. The task panel is launched where you can select the polar angle, the number of elements, and the center of the axis of rotation.
  4. You can click on the 3D view to simultaneously set the position of the center of rotation, and complete the command. Otherwise, just press Enter or the OK button to complete the operation.

Options

  • Enter the Polar angle to specify the total angle of the array. The angle is positive in the counter-clockwise direction.
  • Enter the Number of elements. Must be at least 2. The maximum that can be entered in the task panel is 99, but higher values are possible by changing the DataNumber Polar property of the array.
  • Pick a point in the 3D view, note that this will also finish the command, or type coordinates for the Center of rotation. The rotation axis of the array will pass through this point. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • Press the Reset point button to reset the Center of rotation to the origin.
  • If the Fuse checkbox is checked overlapping elements in the array are fused. This does not work for Link arrays.
  • If the Link array checkbox is checked a Link array instead of a regular array is created. A Link array is more efficient because its elements are App Link objects.
  • Press Esc or the Cancel button to abort the command.

Notes

  • The default rotation axis for the array is the positive Z axis. This can be changed by editing its DataAxis property.
  • A Draft PolarArray can be turned into a Draft OrthoArray or a Draft CircularArray by changing its DataArray Type property.
  • A Link array cannot be turned into a regular array or vice versa. The type of array must be decided at creation time.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates and angles: Edit → Preferences... → General → Units → Units settings → Number of decimals.

Properties

See Draft OrthoArray.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

Parametric array

To create a parametric polar array use the make_array method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeArray method. The make_array method can create Draft OrthoArrays, Draft PolarArrays and Draft CircularArrays. For each array type one or more wrappers are available.

The main method:

array = make_array(base_object, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, use_link=True)

The wrapper for polar arrays is:

array = make_polar_array(base_object,
                         number=5, angle=360, center=App.Vector(0, 0, 0),
                         use_link=True)
  • base_object is the object to be arrayed. It can also be the Label (string) of an object in the current document.
  • number is the number of elements in the pattern, including the original object.
  • angle is the angle of the polar arc in degrees.
  • center is the vector that defines the center of the pattern.
  • If use_link is True the created elements are App Links instead of regular copies.
  • array is returned with the created array object.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

tri = Draft.make_polygon(3, 600)
center = App.Vector(-1600, 0, 0)

array = Draft.make_polar_array(tri, 8, 270, center)
doc.recompute()

Non-parametric array

To create a non-parametric polar array use the array method of the Draft module. This method returns None.

array(objectslist, center, angle, number)

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

tri = Draft.make_polygon(3, 600)
center = App.Vector(-1600, 0, 0)

Draft.array(tri, center, 270, 8)
doc.recompute()